/**
 * @file box_item.cpp
 * @author Jan Holáň, xholan11 (xholan11@vutbr.cz)
 * @brief translated with gcc version 12.2.1
 * @version 0.1
 * @date 2023-05-01
 * 
 * @copyright Copyright (c) 2023
 * 
 */

#include "WarehousePickingOpt.h"

BoxItem::BoxItem(ItemSpecification _item_specification, OItem _order_item)
{
    this->item_specification = _item_specification;
    this->order_item = _order_item;
    this->count_of_units = this->item_specification.ContentQty;
}

void BoxItem::countUnitsUp(int num)
{
    this->count_of_units += num;
}

void BoxItem::setNumOfUnits(int num)
{
    this->count_of_units = num;
}

int BoxItem::getCountOfUnits()
{
    return this->count_of_units;
}

int BoxItem::getVolume()
{
    return this->item_specification.Volume;
}
